import { Component,ViewChild } from '@angular/core';
import { TreeViewComponent } from '@syncfusion/ej2-angular-navigations';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'sitescopeApp';
  showSelection:any=[];
  @ViewChild ('tree') treevalidate: TreeViewComponent;
   // Data source for TreeView component
    constructor() {
    }
    @ViewChild('treeview')
    
    // public tree: TreeViewComponent;
    // defined the array of data
    public dataValue: Object[] = [
        { id: 1, name: 'bsmss-wc-2p.cable.comcast.com', hasChild: true, expanded: true },
        { id: 2, pid: 1, name: 'VideoScout', isChecked: false,hasChild: true, expanded: true },
        { id: 3, pid: 2, name: 'VideoScout PROD (WC)' ,isChecked: false,hasChild: true, expanded: true },
        { id: 4, pid: 3, name: 'VideoScout PROD (WC) Webservices Tier',isChecked: false,hasChild: true, expanded: true },
        { id: 6, pid: 4, name: '(PortMonitor)CM Watch VideoScout PROD (PDC) Webservices URL Check on oss.g.comcast.net', isChecked: false },
        { id: 7, pid: 4, name: '(PortMonitor)Node Analyzer VideoScout PROD (PDC) Webservices URL Check on oss.g.comcast.net', isChecked: false },
        { id: 8, name: 'apmss-po-1p.sys.comcast.net', hasChild: true, expanded: true },
        { id: 9, pid: 8, name: 'Scout (bsmssg-po-3p)', isChecked: false,hasChild: true, expanded: true },
        { id: 10, pid: 9, name: 'Scout PROD (PO-3P)' ,isChecked: false,hasChild: true, expanded: true },
        { id: 11, pid: 10, name: 'Scout CORE PROD - Services (PO-3P)',isChecked: false,hasChild: true, expanded: true },
        { id: 12, pid: 11, name: 'Scout CORE WSDL Health Check (PO-3P)', isChecked: false,hasChild: true, expanded: true  },
        { id: 13, pid: 12, name: 'sctehp-po-a2p.sys.comcast.net', isChecked: false,hasChild: true, expanded: true  },
        { id: 14, pid: 13, name: '(URLMonitor)ScoutDOCSISQueryService on sctehp-po-a2p.sys.comcast.net:8085', isChecked: false },
    ];
    // maps the appropriate column to fields property
    public field: Object = { dataSource: this.dataValue, id: 'id', parentID: 'pid', text: 'name', hasChildren: 'hasChild' };
    // set the CheckBox to the TreeView
    public showCheckBox:boolean = true;
  public onCreate(){
    console.log('onCreate');
    debugger
    let liEle = this.treevalidate.element.querySelectorAll('li');
    console.log('liEle',liEle);
    for(let i=0; i< liEle.length; i++){
      if (liEle[i].classList.contains('e-level-1')){
      let element = liEle[i].querySelector('.e-checkbox-wrapper');
      if (element)
      element.parentElement.removeChild(element);
      }
        // this.treevalidate.checkAll();
        // this.treevalidate.uncheckAll(['11']);
    }
  
}
public nodeChecked(args): void{
      // alert("The checked node's id is: "+this.tree.checkedNodes);
      // this.showSelection = [];
      // console.log(args);
      if(args.action=="check"){
        console.log(args.data);
        let dataGiven = args.data.length;
        for(let i=0;i<dataGiven;i++){
          this.showSelection.push(args.data[i].text);
        }
        // this.showSelection.push(args.data[0].text);
        this.showSelection = this.showSelection.filter( function( item, index, inputArray ) {
           return inputArray.indexOf(item) == index;
        });
        console.log(this.showSelection);
      } else {
          // console.log('uncheck',args);
          if(args.action=="uncheck"){
            let dataGiven = args.data.length;
            for(let i=0;i<dataGiven;i++){
              if(this.showSelection.includes(args.data[i].text)) {
                  // console.log('aaaa',this.showSelection);
                  const index = this.showSelection.indexOf(args.data[i].text);
                  if (index > -1) {
                    this.showSelection.splice(index, 1);
                  }
                  // if(this.showSelection.includes(args.data[0].text)) {
                  //   console.log('yes');
                  // }
              }
            }   
          } 
          this.showSelection = [];                
      } 
      console.log('array--',this.showSelection);
    }
   public onNodeCheck(args: any){
      
 if( args.isInteracted){
   let otherChild, otherChildId
    let otherEle = this.treevalidate.element.querySelectorAll('ul li');
    let otherParent;
    for (let i = 0; i < otherEle.length; i++){
     if(otherEle[i].classList.contains('e-level-1')){
       otherParent =otherEle[i].getAttribute("data-uid").toString()
       if (otherParent !== args.data[0]["parentID"] ){
        otherChild = otherEle[i].querySelectorAll('ul li');
        if(args.action == 'check' && args.data[0]["id"]==="11") {
         for (let j = 0; j < otherChild.length; j++){
            otherChildId =otherChild[j].getAttribute("data-uid").toString()
            this.treevalidate.uncheckAll([otherChildId])
         }
        }
         } else if(args.action == 'check' && otherParent == args.data[0]["parentID"] &&  args.data[0]["id"]!=="11" ){
           this.treevalidate.uncheckAll(['11']);
         }
     }
    }
 } else {
   console.log(args);
 }
}
}
